Package com.ngrok.services

# Class EdgeRouteResponseHeadersModule.ReplaceCallBuilder

java.lang.Object
com.ngrok.services.EdgeRouteResponseHeadersModule.ReplaceCallBuilder

Enclosing class:
  EdgeRouteResponseHeadersModule

public class EdgeRouteResponseHeadersModule.ReplaceCallBuilder extends Object
A builder object encapsulating state for an unsent Replace API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointResponseHeaders`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<EndpointResponseHeaders>`
  `call()`
  Initiates the API call asynchronously.
  `EdgeRouteResponseHeadersModule.ReplaceCallBuilder`
  `module(EndpointResponseHeaders module)`
  Sets the `module` parameter.
  `EdgeRouteResponseHeadersModule.ReplaceCallBuilder`
  `module(Optional<EndpointResponseHeaders> module)`
  Sets (or unsets) the `module` parameter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### module

    public EdgeRouteResponseHeadersModule.ReplaceCallBuilder module(EndpointResponseHeaders module)
    Sets the `module` parameter.
    Parameters:
      `module` - the value of the module parameter as a `EndpointResponseHeaders`
    Returns:
      the call builder instance

  - ### module

    public EdgeRouteResponseHeadersModule.ReplaceCallBuilder module(Optional<EndpointResponseHeaders> module)
    Sets (or unsets) the `module` parameter.
    Parameters:
      `module` - the value of the module parameter as an `Optional` of `EndpointResponseHeaders`
    Returns:
      the call builder instance

  - ### call

    public CompletionStage<EndpointResponseHeaders> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `EndpointResponseHeaders`

  - ### blockingCall

    public EndpointResponseHeaders blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `EndpointResponseHeaders`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call